Bug 3590 - Please add AppData XML for Claws Mail
Summary: Please add AppData XML for Claws Mail
Status: RESOLVED PATCHESWELCOME
Alias: None
Product: Claws Mail
Classification: Unclassified
Component: UI (show other bugs)
Version: other
Hardware: All All
: P3 normal
Assignee: users
URL:
Depends on:
Blocks:
 
Reported: 2015-12-26 16:10 CET by Mingcong Bai
Modified: 2015-12-28 12:31 CET (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mingcong Bai 2015-12-26 16:10:02 CET
Shipping an AppData XML for Claws Mail enables the ability to install it from an AppStream frontend like GNOME Software with detailed information (license, screenshot, long descriptions, ratings) for the package.

And here is an AppData XML I've created.

<?xml version="1.0" encoding="utf-8"?>
<component type="desktop">
  <id>claws-mail.desktop</id>
  &lt;metadata_license&gt;CC0-1.0&lt;/metadata_license&gt;
  <project_license>GPL-3.0</project_license>
  <name>Claws Mail</name>
  <summary>A GTK+ based email client</summary>
  <url type="homepage">http://www.claws-mail.org/</url>
  <url type="bugtracker">http://www.thewildbeast.co.uk/claws-mail/bugzilla/index.cgi</url>
  <url type="help">http://www.claws-mail.org/documentation.php?secti>
  <description>
    <p>Claws Mail is an email client (and news reader), based on GTK+, featuring:</p>
    <ul>
      <li>Quick response</li>
      <li>Graceful, and sophisticated interface</li>
      <li>Easy configuration, intuitive operation</li>
      <li>Abundant features</li>
      <li>Extensibility</li>
      <li>Robustness and stability</li>
    </ul>
    <p>The appearance and interface are designed to be familiar to new users coming from other popular email clients, as well as experienced users. Almost all commands are accessible with the keyboard.</p>
    <p>The messages are managed in the standard MH format, which features fast access and data security. You'll be able to import your emails from almost any other email client, and export them just as easily.</p>
    <p>Lots of extra functionality, like an RSS aggregator, calendar, or laptop LED handling, are provided by extra plugins.</p>
  </description>
  <screenshots>
    <screenshot type="default">http://www.claws-mail.org/img/screenshots/main.png</screenshot>
    <screenshot>http://www.claws-mail.org/img/screenshots/compose.png</screenshot>
    <screenshot>http://www.claws-mail.org/img/screenshots/messageview.png</screenshot>
    <screenshot>http://www.claws-mail.org/img/screenshots/prefs.png</screenshot>
    <screenshot>http://www.claws-mail.org/img/screenshots/account_prefs.png</screenshot>
  </screenshots>
  <provides>
    <binary>claws-mail</binary>
    <binary>sylpheed-claws</binary>
  </provides>
</component>

And it should normally be installed to ${dataroot}/appdata/ as claws-mail.appdata.xml.
Comment 1 Michael Schwendt 2015-12-26 17:50:11 CET
Appdata files have been in the tarball before, but have been excluded again later. They are still within git:

  http://git.claws-mail.org/?p=claws.git;a=tree;f=appdata;h=604e8c0c1a6574d0caf3e62f6e301b3a5b186751;hb=HEAD

I don't know the reason.
Comment 2 Ricardo Mones 2015-12-27 01:39:56 CET
(In reply to comment #1)
> Appdata files have been in the tarball before, but have been excluded again
> later. They are still within git:
> 
>  
> http://git.claws-mail.org/?p=claws.git;a=tree;f=appdata;
> h=604e8c0c1a6574d0caf3e62f6e301b3a5b186751;hb=HEAD
> 
> I don't know the reason.

Git log is your friend:

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=8d6db31da64c946fe5b046308ee3bfd643323bc7
Comment 3 Paul 2015-12-28 11:16:22 CET
The reason was that intltool completely ignores the --localedir=DIR option passed to ./configure.
Comment 4 rezso 2015-12-28 11:51:59 CET
This issue is fixed in rev742, so the intltool 0.51.0 contains it.
Comment 5 Paul 2015-12-28 11:59:47 CET
(In reply to comment #4)
> This issue is fixed in rev742, so the intltool 0.51.0 contains it.

That was not mentioned in its ChangeLog. But there are also other open intltool bugs which look like they might cause headaches: https://bugs.launchpad.net/intltool
Comment 6 rezso 2015-12-28 12:29:04 CET
http://bazaar.launchpad.net/~intltool/intltool/trunk/revision/742

But intltool works fine to me.
Comment 7 Paul 2015-12-28 12:31:40 CET
(In reply to comment #6)
> But intltool works fine to me.

But have you tested all possible build permutations?